# -*- coding: utf-8 -*-

from __future__ import division

from django_logit import logit
from django_response import response

from equipment.models import IsolationPointInfo
from utils.error.errno_utils import IsolationPointStatusCode


@logit
def measure_window(request):
    point_id = request.POST.get('point_id', '')
    point_measure_window = request.POST.get('point_measure_window', '')

    try:
        point = IsolationPointInfo.objects.get(point_id=point_id, status=True)
    except IsolationPointInfo.DoesNotExist:
        return response(IsolationPointStatusCode.ISOLATIONPOINT_NOT_FOUND)

    point.point_measure_window = point_measure_window
    point.save()

    return response()
